Name: oprofile
Version: 0.9.4
Release: alt3
Summary: System-wide profiler
License: GPLv2
Group: Development/Other
Packager: Kirill A. Shutemov <kas@altlinux.org>

BuildRequires: docbook-style-xsl gcc-c++ gcc-fortran imake libgfortran-devel libiberty-devel
BuildRequires: libpopt-devel libqt3-devel libstdc++-devel-static xorg-cf-files xsltproc

Source: %name-%version.tar

%description
It consists of a daemon for collecting sample data, and several 
post-profiling tools for turning data into information.

OProfile leverages the hardware performance counters of the CPU to
enable profiling of a wide variety of interesting statistics, which
can also be used for basic time-spent profiling. All code is profiled:
hardware and software interrupt handlers, kernel modules, the kernel,
shared libraries, and applications.

%package gui
Summary: GUI for OProfile
Group: Development/Other
Requires: %name = %version-%release

%description gui
GUI for OProfile.

%prep
%setup -q
./autogen.sh

%build
%configure \
	--with-kernel-support \
	--with-qt-includes=%_qt3dir/include \
	--disable-werror

%make_build

%install
install -d %buildroot%_var/lib/oprofile

%make_install install \
	DESTDIR=%buildroot

%preun
if [ "$1" = 0 ]; then
	%_bindir/opcontrol --shutdown 2>/dev/null 1>&2
	rm -rf %_var/lib/oprofile/*
fi

%files
%_bindir/*
%exclude  %_bindir/oprof_start
%dir %_libdir/oprofile
%_libdir/oprofile/lib*.so.*
%_datadir/%name
%_man1dir/*.1*
%dir %_var/lib/oprofile
%doc ChangeLog README TODO doc/*.html

%files gui
%_bindir/oprof_start

%changelog
* Mon Feb 09 2009 Kirill A. Shutemov <kas@altlinux.ru> 0.9.4-alt3
- snapshot 20090206
- import cvs history

* Fri Nov 07 2008 Dmitry V. Levin <ldv@altlinux.org> 0.9.4-alt2.1
- Rebuilt with libbfd-2.18.50.0.9-alt3.

* Sat Oct 25 2008 Kirill A. Shutemov <kas@altlinux.ru> 0.9.4-alt2
- Fix building with new glibc

* Sun Oct 19 2008 Kirill A. Shutemov <kas@altlinux.ru> 0.9.4-alt1
- First build for ALT Linux
- Based on PLD spec
